function onBegin()
    local room = getRoom()
    local heart = getFirstEntity("Celeste.Mod.FemtoHelper.CustomFakeHeart","")
	local luanet = _G.luanet   
    makeUnskippable()
    room.PauseLock = true
	player.ForceCameraUpdate = true
    while not getFlag("breakHeart") do
        wait()
    end
    disableMovement()
    heart:OnPlayer(player)
    room:DoScreenWipe(true)
    wait(0.3)
    walkTo(34259)
	player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Right")
    wait(0.3)
    setFlag("aiden_crumbleUpper", true)
	wait(0.25)
    playSprite("lookUp", 1.1)
    setFlag("aiden_crumbleLower", true)
	wait(0.2)
	disableMovement()
	wait(1.0)
end

function playSprite(sprite, duration)
    player.DummyAutoAnimate = false
    player.Sprite:Play(sprite, false, false)
    if (duration) then
        wait(duration)
    end
    player.DummyAutoAnimate = true
end